<section class="todoapp">
  <header class="header">
    <div class="container">
      <h1>My Day</h1>
      <p>All my tasks in one place</p>
      <input
        class="new-todo"
        placeholder="Type new todo"
        autofocus
        type="text"
        (change)="changeHandler($event)"
      />
    </div>
  </header>
  <div class="container todoapp-wrapper">
    <!-- This section should be hidden by default and shown when there are todos -->
    <section class="main">
      <ul class="todo-list">
        <li *ngFor="let task of tasks(); index as i">
          <div class="view">
            <input class="toggle" type="checkbox" />
            <label>{{task.title}}</label>
            <button class="destroy" (click)="deleteTask(i)"></button>
          </div>
          <input class="edit" value="Buy a unicorn" />
        </li>

        <!--         
        <li class="completed">
          <div class="view">
            <input class="toggle" type="checkbox" checked />
            <label>Learn JavaScript</label>
            <button class="destroy"></button>
          </div>
          <input class="edit" value="Learn JavaScript" />
        </li>


        <li>
          <div class="view">
            <input class="toggle" type="checkbox" />
            <label>Buy a unicorn</label>
            <button class="destroy"></button>
          </div>
          <input class="edit" value="Buy a unicorn" />
        </li>


        <li class="editing">
          <div class="view">
            <input class="toggle" type="checkbox" />
            <label>Make dishes</label>
            <button class="destroy"></button>
          </div>
          <input class="edit" value="Make dishes" />
        </li> 
        -->


      </ul>
    </section>
    <!-- This footer should be hidden by default and shown when there are todos -->
    <footer class="footer">
      <!-- This should be `0 items left` by default -->
      <span class="todo-count"><strong>0</strong> item left</span>
      <!-- Remove this if you don't implement routing -->
      <ul class="filters">

        <li>
          <a routerLink="/" class="selected">All</a>
        </li>

        <li>
          <a routerLink="/pending">Pending</a>
        </li>

        <li>
          <a routerLink="/completed">Completed</a>
        </li>
      </ul>
      <!-- Hidden if no completed items are left ↓ -->
      <button class="clear-completed">Clear completed</button>
    </footer>
  </div>
</section>